<?php

/**
 * The admin-specific functionality of the plugin.
 *
 * @link       https://www.centralpay.com
 * @since      1.0.0
 *
 * @package    Cpay
 * @subpackage Cpay/admin
 */

/**
 * The admin-specific functionality of the plugin.
 *
 * Defines the plugin name, version, and two examples hooks for how to
 * enqueue the admin-specific stylesheet and JavaScript.
 *
 * @package    Cpay
 * @subpackage Cpay/admin
 * @author     CentralPay <support@centralpay.eu>
 */
class Cpay_Admin
{
    /**
     * The ID of this plugin.
     *
     * @since    1.0.0
     * @access   private
     * @var      string    $plugin_name    The ID of this plugin.
     */
    private $plugin_name;

    /**
     * The version of this plugin.
     *
     * @since    1.0.0
     * @access   private
     * @var      string    $version    The current version of this plugin.
     */
    private $version;

    /**
     * Initialize the class and set its properties.
     *
     * @since    1.0.0
     * @param      string    $plugin_name       The name of this plugin.
     * @param      string    $version    The version of this plugin.
     */
    public function __construct($plugin_name, $version)
    {

        $this->plugin_name = $plugin_name;
        $this->version = $version;

    }

    /**
     * Register the stylesheets for the admin area.
     *
     * @since    1.0.0
     */
    public function enqueue_styles()
    {
        //Décommenter la ligne ci-dessous et rajouter le fichier si besoin d'écrire du CSS dans l'admin
        //wp_enqueue_style($this->plugin_name, plugin_dir_url(__FILE__) . 'css/cpay-admin.css', array(), $this->version, 'all');

    }

    /**
     * Register the JavaScript for the admin area.
     *
     * @since    1.0.0
     */
    public function enqueue_scripts()
    {
        //Décommenter la ligne ci-dessous et rajouter le fichier si besoin d'écrire du script JS dans l'admin
        //wp_enqueue_script($this->plugin_name, plugin_dir_url(__FILE__) . 'js/cpay-admin.js', array( 'jquery' ), $this->version, false);

    }


    public function cpay_add_gateway_class($gateways)
    {
        $gateways[] = 'WC_CPay_Gateway'; // your class name is here
        return $gateways;
    }


    public function cpay_init_gateway_class()
    {

        if (!class_exists('CpayConfig')) {
            require plugin_dir_path(__FILE__) . '../includes/class-cpay-config.php';
        }

        if (!class_exists('WC_CPay_Gateway')) {
            require plugin_dir_path(__FILE__) . 'class-cpay-wc-gateway.php';
        }


    }

}
