<?php

if (!defined('ABSPATH')) {
    exit;
}
require_once plugin_dir_path(__FILE__) . '/class-cpay-log.php';

/**
 *
 * Data access to the Wordpress database
 *
 * @since    1.0.0
 */
class DB
{
    /**
     *
     * Allow to create a customer in wordpress data base
     * @param $transaction This array take the transaction information
     *
     * @throws Exception
     * @since    1.0.0
     *
     */
    public static function createCustomer($transactionData, $dbuser, $dbpassword)
    {
        if (empty($transactionData) or empty($dbuser) or empty($dbpassword)) {
            CpayLog::newLog("[ERROR]class-cpay-wp-db.php l.".__LINE__." CREATE CUSTOMER EMPTY VALUES, An error was occurred when the db create customer was called, one of this parameters has not set : transactionData or dbuser or dbpassword.");
            throw new Exception("An error was occurred when the db create customer was called, one of this parameters has not set : transactionData or dbuser or dbpassword.");
        } else {
            try {
                global $wpdb;

                $wpdb->insert($wpdb->prefix.'woocommerce_cpay_customer', array(
                    'cpayCustomerId' => $transactionData['customerId'],
                    'wpUserId' => $transactionData['userId']
                ));
            } catch (PDOException $e) {
                CpayLog::newLog("[ERROR]class-cpay-wp-db.php l.".__LINE__." Connexion échouée ".$e->getMessage());
                throw new PDOException('Connexion échouée : ' . $e->getMessage());
            } catch (Exception $e) {
                CpayLog::newLog("[ERROR]class-cpay-wp-db.php l.".__LINE__." ".$e->getMessage());

                throw new Exception($e->getMessage());
            }
        }
    }

    /**
     * This function allow you to get the customer ID in the wordpress db
     *
     * @param ?string $userId
     * @param ?string $dbuser
     * @param ?string $dbpassword
     * @throws Exception
     */
    public static function getCustomerId($userId, $dbuser, $dbpassword)
    {
        if (!isset($userId) or !isset($dbuser) or !isset($dbpassword)) {
            CpayLog::newLog("[ERROR]class-cpay-wp-db.php l.".__LINE__." GET CUSTOMER EMPTY VALUES, An error was occurred when the db create customer was called, one of this parameters has not set : transactionData or dbuser or dbpassword.");
            throw new Exception("An error was occurred when the get customer id function was called, one of his parameters has not exist : userId or dbuser or dbpassword.");
        } else {
            try {
                global $wpdb;
                $row = $wpdb->get_row("SELECT cpayCustomerId FROM ".$wpdb->prefix."woocommerce_cpay_customer WHERE wpUserId = $userId", ARRAY_A);
                return ($row !== null) ? $row['cpayCustomerId'] : false;
            } catch (Exception $e) {
                CpayLog::newLog("[ERROR]class-cpay-wp-db.php l.".__LINE__." ".$e->getMessage());
                throw new Exception($e->getMessage());
            }
        }
    }
}
