<?php

/**
 * The public-facing functionality of the plugin.
 *
 * @link       https://www.centralpay.com
 * @since      1.0.0
 *
 * @package    Cpay
 * @subpackage Cpay/public
 */

/**
 * The public-facing functionality of the plugin.
 *
 * Defines the plugin name, version, and two examples hooks for how to
 * enqueue the public-facing stylesheet and JavaScript.
 *
 * @package    Cpay
 * @subpackage Cpay/public
 * @author     CentralPay <support@centralpay.eu>
 */
class Cpay_Public
{
    /**
     * The ID of this plugin.
     *
     * @since    1.0.0
     * @access   private
     * @var      string    $plugin_name    The ID of this plugin.
     */
    private $plugin_name;

    /**
     * The version of this plugin.
     *
     * @since    1.0.0
     * @access   private
     * @var      string    $version    The current version of this plugin.
     */
    private $version;

    /**
     * Initialize the class and set its properties.
     *
     * @since    1.0.0
     * @param      string    $plugin_name       The name of the plugin.
     * @param      string    $version    The version of this plugin.
     */
    public function __construct($plugin_name, $version)
    {

        $this->plugin_name = $plugin_name;
        $this->version = $version;

    }

    /**
     * Register the stylesheets for the public-facing side of the site.
     *
     * @since    1.0.0
     */
    public function enqueue_styles()
    {
        //Décommenter la ligne ci-dessous et rajouter le fichier si besoin d'écrire du CSS en front
        // wp_enqueue_style($this->plugin_name, plugin_dir_url(__FILE__) . 'css/cpay-public.css', array(), $this->version, 'all');

    }

    /**
     * Register the JavaScript for the public-facing side of the site.
     *
     * @since    1.0.0
     */
    public function enqueue_scripts()
    {
        //Décommenter la ligne ci-dessous et rajouter le fichier si besoin d'écrire du JS en front
        //wp_enqueue_script($this->plugin_name, plugin_dir_url(__FILE__) . 'js/cpay-public.js', array( 'jquery' ), $this->version, false);

    }

}
